Реагировать родной. Я устанавливаю библиотеку реагировать на родную ошибку (не удалось)

Я создаю свой проект, используя библиотеку Airbnb Reaction-native-map.

ссылка на сайт:

https://github.com/airbnb/react-native-maps

и я просто бегу по терминалу

npm install react-native-maps --save

react-native link

react-native run-ios

и запустить, но получил ошибку на терминале, как это:

The following build commands failed:

    CompileC /Users/preechawanaraksakul/Documents/jobpro/ios/build/Build/Intermediates/AirMaps.build/Debug-iphonesimulator/AirMaps.build/Objects-normal/x86_64/AIRMapCallout.o AirMaps/AIRMapCallout.m normal x86_64 objective-c com.apple.compilers.llvm.clang.1_0.compiler
(1 failure)

Я использую собственную версию реагирования 0.38.0, потому что мне нужно использовать диспетчер движений библиотеки, когда я обновляю> 0.40 и в выпуске на iPhone появляется ошибка, подобная этой: IOS - React Native - Необработанное исключение JS: SyntaxError

это мой скриншот из симулятора, поэтому он имеет только поле (не отображать карту Google)

и таким образом можно решить мою проблему, чтобы запустить датчик движения

но

кто-то сказал мне обновить до> 0,40 для использования реагировать-родной-карты

Мне нужна помощь для решения этой проблемы без обновления> 0,40

Спасибо за поддержку

1 ответ

На самом деле, согласно документации Airbnb, вы не должны использовать команду response-native link при использовании response-native-maps.

Пожалуйста, обратитесь к: этот сайт

Если вы уже связались, пожалуйста, следуйте этим инструкциям

0
Другие вопросы по тегам